Bug 225102 - graphics/ImageMagick: Update to 6.9.10-12
Summary: graphics/ImageMagick: Update to 6.9.10-12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-12 11:43 UTC by Pascal Christen
Modified: 2018-11-11 03:56 UTC (History)
1 user (show)

See Also:
pascal.christen: maintainer-feedback-


Attachments
Patch for Update (699 bytes, patch)
2018-01-12 11:43 UTC, Pascal Christen
no flags Details | Diff
Patch for 6.9.10-12 (9.48 KB, patch)
2018-09-24 08:48 UTC, Pascal Christen
no flags Details | Diff
patch-config_policy.xml diff (1.62 KB, patch)
2018-11-11 03:08 UTC, Charlie Li
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal Christen 2018-01-12 11:43:59 UTC
Created attachment 189645 [details]
Patch for Update

Update to 6.9.9-33 (sGRAY/LinearGRAY Problems)
Comment 1 Pascal Christen 2018-01-22 15:52:59 UTC
Maintainer timeout
Comment 2 Pascal Christen 2018-04-25 13:11:22 UTC
ImageMagick-6.9.9-40 is out....
Comment 3 Pascal Christen 2018-09-24 08:48:22 UTC
Created attachment 197424 [details]
Patch for 6.9.10-12

Is the patch for ImageTragick still needed? I don't think so and just removed the "patch-config_policy.xml".
Comment 4 commit-hook freebsd_committer 2018-11-10 19:58:12 UTC
A commit references this bug:

Author: kwm
Date: Sat Nov 10 19:57:15 UTC 2018
New revision: 484640
URL: https://svnweb.freebsd.org/changeset/ports/484640

Log:
  Update ImageMagick to 6.9.10.14 [1]

  * Add PKGNAMESUFFIX and rename the directory. This was done to show
    that IM6 is not the "main" version. But still fully supported by upstream.
  * Convert a number of options to optionhelpers.
  * Add option for ISO/IEC 23008-12:2017 HEIF suport
  * Add comment to pkg-descr explaining IM6's "legacy" tag.
  * Add comment to the patch-config_policy.xml file why it still needed.

  Please note that IM7 is not a drop in replacement due to library API and
  command arguments changes. And as a result ports need to decide for themself
  which version to use.

  Chase these changes in all the ports that using IM6.

  PR:		225102 (based on, only the version update) [1]
  Submitted by:	Pascal Christen <pascal.christen@hostpoint.ch>

Changes:
  head/MOVED
  head/audio/beets/Makefile
  head/audio/kwave/Makefile
  head/audio/mp3plot/Makefile
  head/comms/apitran/Makefile
  head/comms/gscmxx/Makefile
  head/databases/opendbviewer/Makefile
  head/databases/virtuoso/Makefile
  head/deskutils/ljit/Makefile
  head/deskutils/shutter/Makefile
  head/devel/bugzilla44/Makefile
  head/devel/bugzilla50/Makefile
  head/devel/p5-Project-Gantt/Makefile
  head/devel/rubygem-paperclip-rails5/Makefile
  head/devel/synfig/Makefile
  head/editors/emacs/Makefile
  head/editors/emacs-devel/Makefile
  head/editors/kile-kde4/Makefile
  head/emulators/mgba/Makefile
  head/games/enigma/Makefile
  head/games/openclaw/Makefile
  head/games/openspades/Makefile
  head/graphics/ImageMagick/
  head/graphics/ImageMagick-nox11/
  head/graphics/ImageMagick6/
  head/graphics/ImageMagick6/Makefile
  head/graphics/ImageMagick6/distinfo
  head/graphics/ImageMagick6/files/patch-config_policy.xml
  head/graphics/ImageMagick6/pkg-descr
  head/graphics/ImageMagick6/pkg-plist
  head/graphics/ImageMagick6-nox11/
  head/graphics/ImageMagick6-nox11/Makefile
  head/graphics/ImageMagick7/Makefile
  head/graphics/Makefile
  head/graphics/autotrace/Makefile
  head/graphics/aview/Makefile
  head/graphics/converseen/Makefile
  head/graphics/cuneiform/Makefile
  head/graphics/curator/Makefile
  head/graphics/cuttlefish/Makefile
  head/graphics/danpei/Makefile
  head/graphics/dcraw-m/Makefile
  head/graphics/dmtx-utils/Makefile
  head/graphics/embree/Makefile
  head/graphics/fpc-imagemagick/Makefile
  head/graphics/gimp-gmic-plugin/Makefile
  head/graphics/gscan2pdf/Makefile
  head/graphics/hdr_tools/Makefile
  head/graphics/imageindex/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/instant-meshes/Makefile
  head/graphics/kipi-plugin-videoslideshow/Makefile
  head/graphics/l2p/Makefile
  head/graphics/libboard/Makefile
  head/graphics/libdmtx/Makefile
  head/graphics/npretty/Makefile
  head/graphics/ocre/Makefile
  head/graphics/opendx/Makefile
  head/graphics/openfx-arena/Makefile
  head/graphics/optar/Makefile
  head/graphics/p5-CAD-Drawing/Makefile
  head/graphics/p5-Image-Heatmap/Makefile
  head/graphics/p5-Image-Magick-Iterator/Makefile
  head/graphics/pecl-imagick/Makefile
  head/graphics/pfstools/Makefile
  head/graphics/php-magickwand/Makefile
  head/graphics/pqiv/Makefile
  head/graphics/pstoedit/Makefile
  head/graphics/py-sk1/Makefile
  head/graphics/py-sorl-thumbnail/Makefile
  head/graphics/py-wand/Makefile
  head/graphics/raster3d/Makefile
  head/graphics/reallyslick/Makefile
  head/graphics/recoverjpeg/Makefile
  head/graphics/renrot/Makefile
  head/graphics/rubygem-mini_magick/Makefile
  head/graphics/rubygem-rmagick/Makefile
  head/graphics/s2tc/Makefile
  head/graphics/synfigstudio/Makefile
  head/graphics/timg/Makefile
  head/graphics/ttygif/Makefile
  head/graphics/variety/Makefile
  head/graphics/xd3d/Makefile
  head/graphics/zbar/Makefile
  head/japanese/mypaedia-fpw-package/Makefile
  head/japanese/srd-fpw-package/Makefile
  head/mail/libpst/Makefile
  head/mail/openwebmail/Makefile
  head/math/asymptote/Makefile
  head/math/glgraph/Makefile
  head/math/gri/Makefile
  head/math/sage/Makefile
  head/misc/gkrellshoot2/Makefile
  head/misc/img2xterm/Makefile
  head/misc/pyobd/Makefile
  head/multimedia/dvd-slideshow/Makefile
  head/multimedia/dvdauthor/Makefile
  head/multimedia/dvdrip/Makefile
  head/multimedia/libxine/Makefile
  head/multimedia/lives/Makefile
  head/multimedia/py-moviepy/Makefile
  head/multimedia/tovid/Makefile
  head/multimedia/transcode/Makefile
  head/net/freeswitch/Makefile
  head/net/scapy/Makefile
  head/net/tigervnc/Makefile
  head/net-im/pidgin-latex/Makefile
  head/net-mgmt/librenms/Makefile
  head/print/cups-filters/Makefile
  head/print/html2ps/Makefile
  head/print/kpdftool/Makefile
  head/print/latex2rtf/Makefile
  head/print/lilypond/Makefile
  head/print/lilypond-devel/Makefile
  head/print/muttprint/Makefile
  head/print/pdf-redact-tools/Makefile
  head/print/pdf-tools/Makefile
  head/print/texvc/Makefile
  head/science/xcrysden/Makefile
  head/security/libfprint/Makefile
  head/security/p5-GD-SecurityImage/Makefile
  head/sysutils/xvidcap/Makefile
  head/textproc/docbook2odf/Makefile
  head/textproc/ecromedos/Makefile
  head/textproc/eqe/Makefile
  head/textproc/pdfsandwich/Makefile
  head/textproc/tex2im/Makefile
  head/www/WebMagick/Makefile
  head/www/august/Makefile
  head/www/bigbluebutton/Makefile
  head/www/bins/Makefile
  head/www/coppermine/Makefile
  head/www/fgallery/Makefile
  head/www/gallery2/Makefile
  head/www/gallery3/Makefile
  head/www/gpx2map/Makefile
  head/www/igal2/Makefile
  head/www/ilias/Makefile
  head/www/imgsizer/Makefile
  head/www/llgal/Makefile
  head/www/nginx/Makefile.extmod
  head/www/nginx-devel/Makefile.extmod
  head/www/p5-jQuery-File-Upload/Makefile
  head/www/piwigo/Makefile
  head/www/serendipity/Makefile
  head/www/twiki-MathModePlugin/Makefile
  head/www/typo3-8/Makefile
  head/www/typo3-9/Makefile
  head/x11/xlockmore/Makefile
  head/x11-themes/cursor-crystal-theme/Makefile
  head/x11-themes/icons-tango/Makefile
  head/x11-themes/icons-tango-extras/Makefile
  head/x11-wm/awesome/Makefile
  head/x11-wm/epplets/Makefile
  head/x11-wm/fvwm-crystal/Makefile
  head/x11-wm/libwraster/Makefile
  head/x11-wm/windowmaker/Makefile
Comment 5 Charlie Li 2018-11-11 02:49:27 UTC
patch(1) rejects patch-config_policy.xml because upstream added a commented list-length line in the area where this patch would've applied. Build fails as a result; patch needs a regen.
Comment 6 Charlie Li 2018-11-11 03:08:40 UTC
Created attachment 199117 [details]
patch-config_policy.xml diff

Regenerate patch after upstream added a line. Place where upstream already commented out a line that we uncomment.
Comment 7 commit-hook freebsd_committer 2018-11-11 03:56:33 UTC
A commit references this bug:

Author: jrm
Date: Sun Nov 11 03:55:55 UTC 2018
New revision: 484660
URL: https://svnweb.freebsd.org/changeset/ports/484660

Log:
  graphics/ImageMagick6: Fix patch that no longer applies after 484640

  PR:		225102
  Submitted by:	Charlie Li <freebsd@vishwin.info> (similar fix)
  Reported by:	VVD (via #bsdports@efnet)

Changes:
  head/graphics/ImageMagick6/files/patch-config_policy.xml